Name:           gnome-chess
Version:        3.8.5
Release:        1%{?dist}
Summary:        GNOME Chess game

License:        GPLv2+ and GFDL
URL:            https://live.gnome.org/Chess
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.8/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  librsvg2-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  sqlite-devel
BuildRequires:  vala-devel

Obsoletes: gnome-games-extra < 1:3.7.92
Obsoletes: gnome-games-glchess < 1:3.7.92

Requires: gnuchess

%description
A chess game which supports several chess engines, with 2D and optionally 3D
support if OpenGL is present.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/glchess.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-chess
%{_datadir}/applications/glchess.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-chess.gschema.xml
%{_datadir}/gnome-chess
%{_datadir}/icons/hicolor/*/apps/gnome-chess.*
%{_mandir}/man6/gnome-chess.6*


%changelog
* Mon Jan 20 2014 Richard Hughes <rhughes@redhat.com> - 3.8.5-1
- Update to 3.8.5

* Mon Jan 20 2014 Richard Hughes <rhughes@redhat.com> - 3.8.4-1
- Update to 3.8.4

* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.3-2
- Obsolete gnome-games-extra (for upgrades from f17)

* Mon Jun 10 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.3-1
- Update to 3.8.3

* Tue May 28 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.2.1-1
- Update to 3.8.2.1

* Mon May 13 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.2-1
- Update to 3.8.2

* Tue Apr 30 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.1-1
- Update to 3.8.1
- Add Requires for gnuchess

* Fri Mar 29 2013 Tanner Doshier <doshitan@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Fri Mar 22 2013 Tanner Doshier <doshitan@gmail.com> - 3.7.92-1
- Update to 3.7.92
- Use old desktop file name

* Tue Mar 12 2013 Tanner Doshier <doshitan@gmail.com> - 3.7.90-1
- Initial packaging of standalone gnome-chess
